com.holonplatform.vaadin.flow.components.builders

## Interface HasFilterableDataProviderConfigurator<T,FILTER,C extends HasFilterableDataProviderConfigurator<T,FILTER,C>>

- Type Parameters:
    `T` - Data item type
    `FILTER` - Query filter type
    `C` - Concrete configurator type
  All Superinterfaces:
    HasItemsConfigurator<T,C>
  All Known Subinterfaces:
    FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, HasBeanDatastoreFilterableDataProviderConfigurator<T,F,D,C>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<F,D,C>

      public interface HasFilterableDataProviderConfigurator<T,FILTER,C extends HasFilterableDataProviderConfigurator<T,FILTER,C>>
      extends HasItemsConfigurator<T,C>

  `HasFilterableDataProvider` components type configurator.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<F> C` | `dataSource(com.vaadin.flow.data.provider.DataProvider<T,F> dataProvider, com.vaadin.flow.function.SerializableFunction<FILTER,F> filterConverter)` Set the items data source using a `DataProvider` with a different filter type and providing the filter conversion function.
    `C` | `dataSource(com.vaadin.flow.data.provider.DataProvider<T,FILTER> dataProvider)` Set the data provider which acts as items data source.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemsConfigurator

      `addItem, items, items`

- - ### Method Detail

    - #### dataSource

          C dataSource(com.vaadin.flow.data.provider.DataProvider<T,FILTER> dataProvider)

      Set the data provider which acts as items data source.
      Parameters:
        `dataProvider` - The data provider to set (not null)
      Returns:
        this

    - #### dataSource

          <F> C dataSource(com.vaadin.flow.data.provider.DataProvider<T,F> dataProvider,
                           com.vaadin.flow.function.SerializableFunction<FILTER,F> filterConverter)

      Set the items data source using a `DataProvider` with a different filter type and providing the filter conversion function.
      Type Parameters:
        `F` - DataProvider filter type
      Parameters:
        `dataProvider` - The data provider to set (not null)
        `filterConverter` - a function that converts the filter values with the required type into the filter values expected by the data provider (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.